Karia
ReferencesOpenapiContact

Create contact address

POST
/organisation/{orgId}/workspace/{workspaceId}/contact/{contactId}/address

Add an address to an existing contact in the specified organisation and workspace.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
contactId*string
application/json
  1. body
type*string
Value in"current""previous"
streetNumber*string
Length1 <= length
streetName*string
Length2 <= length
unitNumber?string
addressLine2?string
suburb*string
Length2 <= length
state*string
postCode*string
Length2 <= length
country?string
Default"Australia"

Response Body

Successful response

application/json
  1. response
id*number
Example Request
curl -X POST 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/contact/string/address' \  -H 'Content-Type: application/json' \  -d '{  "type": "current",  "streetNumber": "string",  "streetName": "string",  "suburb": "string",  "state": "string",  "postCode": "string"}'
Example Response
{  "id": 0}